{% extends "starbase.html" %}
{% load cache %}
{% load server_tags %}
{% load i18n %}
{% load humanize %}
{% load socialaccount %}

{% block page_title %}
    {% trans "User:" %} {{ target.name }}
{% endblock %}

{% block content %}

    <div class="row">

        <div class="col-md-12 user-details">

            <div class="col-md-12">
                <h2
                class="text-center {{ target.get_status_display }}">{{ target.get_type_display }}: {{ target.name }}</h2>


            </div>

            <div class="col-md-3">

                <div class="text-center">
                    {#  User gravatar.  #}
                    {% gravatar target 200 %}
                    <div>{% userlink target %}</div>
                </div>

                <div class="text-center" style="margin-top:20px">


                    {% if target.is_editable and user.is_moderator and user != target %}
                        <div style="margin-top:10px;">
                            <a role="button" class="btn btn-warning mod-user" data-value="{{ target.id }}">{% trans "Moderate
                                User" %}</a>
                        </div>
                    {% endif %}
                </div>

                {% if target.has_ownership %}
                    <div style="font-size: smaller; padding:0px 0px 20px 20px;">
                        {% blocktrans %}
                        Your portrait is loaded from <a href="http://www.gravatar.com">Gravatar</a> based
                        on your email. If you don't have a <a href="http://www.gravatar.com">Gravatar</a> account
                        your portait is
                        an "identicon": an automatically generated, unique image.
                        {% endblocktrans %}
                    </div>
                {% endif %}

            </div>

            {#  The short description entered by the user.  #}
            <div class="col-md-4">
                <dl class="dl-horizontal">


                    <dt>{% trans "Reputation:" %}</dt>
                    <dd><b>{{ target.scaled_score |intcomma }}</b></dd>

                    <dt>{% trans "Status:" %}</dt>
                    <dd>{{ target.get_status_display }}</dd>

                    {% if target.score > 0 or user.is_moderator %}
                        <dt>{% trans "Location:" %}</dt>
                        <dd>{{ target.profile.location }}</dd>



                        {% if target.profile.website %}
                            <dt>{% trans "Website:" %}</dt>
                            <dd>

                                <a rel="nofollow" href="{{ target.profile.website }}">
                                    {{ target.profile.website|truncatechars:25 }}</a>

                            </dd>
                        {% endif %}
                    {% endif %}


                    {% if target.profile.twitter_id %}
                        <dt>{% trans "Twitter:" %}</dt>
                        <dd>

                            <i class="fa fa-twitter"></i> <a rel="nofollow"
                                                             href="http://twitter.com/{{ target.profile.twitter_id }}">
                            {{ target.profile.twitter_id|truncatechars:25 }}</a>

                        </dd>
                    {% endif %}

                    {% if target.profile.scholar %}
                        <dt>{% trans "Scholar ID:" %}</dt>
                        <dd>
                            <a rel="nofollow"
                               href="http://scholar.google.com/citations?user={{ target.profile.scholar }}">{% trans "Google
                                Scholar Page" %}</a>
                        </dd>
                    {% endif %}



                    <dt>{% trans "Last seen:" %}</dt>
                    <dd>{{ target.profile.last_login|naturaltime }}</dd>

                    <dt>{% trans "Joined:" %}</dt>
                    <dd>{{ target.profile.date_joined|naturaltime }}</dd>

                    <dt>{% trans "Email:" %}</dt>
                    {% if target.has_ownership %}
                        <dd>{{ target.email }}</dd>
                    {% else %}
                        <dd>{{ target.email|hide_email }}</dd>
                    {% endif %}


                    {% if target.has_ownership %}

                        <dt>{% trans "My Tags:" %}</dt>
                        <dd>{{ target.profile.my_tags|truncatechars:25 }}</dd>

                        <dt>{% trans "Watched Tags:" %}</dt>
                        <dd>
                            {% for tag in target.profile.tags.all %}
                                {{ tag.name }},
                            {% endfor %}
                        </dd>

                        <dt>{% trans "Notifications:" %}</dt>
                        <dd>{{ target.profile.get_message_prefs_display }}</dd>


                        <dt>{% trans "Log in options:" %}</dt>
                        <dd>
                            <a role="button" class="btn btn-info btn-xs" href="{% url 'socialaccount_connections' %}">
                                {% trans "Social Login" %}</a>
                        </dd>

                        <dt style="margin-top:5px;">
                            {% trans "Profile settings:" %}
                        </dt>
                        <dd style="margin-top:5px;">
                            <a href="{% url "user-edit" target.id %}" class="btn btn-success btn-xs" role="button"
                               href="#">{% trans "Edit
                                Your Profile" %}</a>
                        </dd>

                        {% if orcid_profile_url and orcid_id %}
                            <dt style="margin-top:5px;">
                                {% trans "ORCID profile:" %}
                            </dt>
                            <dd style="margin-top:5px;">
                                <a href="{{ orcid_profile_url }}">{{ orcid_id }}</a>
                            </dd>
                        {% endif %}
                    {% endif %}
                </dl>
            </div>

            {#  User bio.  #}
            <div class="col-md-5">

                {% if target.score > 0 or user.is_moderator %}
                    {{ target.profile.info|safe }}
                {% else %}
                    <p>
                        {% trans "Profile information, website and location are
                        not shown for new users." %}
                    </p>
                    <p>
                        {% trans "This helps us discourage the inappropriate use of our site." %}
                    </p>
                {% endif %}

            </div>

            {#  Post list goes here #}
            <div class="col-md-12">
                <h4 class="text-center">{% blocktrans %}Posts by {{ target.name }}{% endblocktrans %}</h4>
                {% page_bar %}
            </div>
            <div class="col-md-12">
                <div id="post-list">
                    {% for post in posts %}
                    
                        {% post_count_box post post.peek %}
                    
                    {% empty %}

                        <div class="alert alert-info">{% trans "There are no results for this page." %}</div>

                    {% endfor %}
                </div>
            </div>

            {% cache 500 "award" target.id %}
                {#  Award list goes here #}
                <div class="col-md-12">
                    <h4 class="text-center">{% blocktrans %}Latest awards to {{ target.name }}{% endblocktrans %}</h4>
                </div>
                <div class="col-md-12">
                    <div id="award-list">
                        {% for award in awards %}
                            <div class="col-xs-4 award">

                                <a href="{% url "badge-view" award.badge.id %}">{{ award.badge.name }}
                                    <i class="{{ award.badge.icon }}"></i></a>
                                <span class="ago">{{ award.date|time_ago }}</span>,
                                {{ award.badge.desc }}.
                                {% if award.context %}
                                    {% trans "For" %} {{ award.context|safe }}
                                {% endif %}

                            </div>
                            {% empty %}
                            <div class="alert alert-info">{% trans "No awards yet. Soon to come :-)" %}</div>
                        {% endfor %}
                    </div>
                </div>
            {% endcache %}
        </div>
    </div>

{% endblock %}
